Get user by id
curl --request GET \
--url https://api.routera.io/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.routera.io/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.routera.io/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"full_name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"role": "Administrator",
"external_id": null,
"phone": null,
"office_status": true,
"working_hours": [
{
"days": "Mon - Fri",
"start_date": "09:00",
"end_date": "17:00"
},
{
"days": "saturday",
"start_date": "10:00",
"end_date": "14:00"
}
],
"out_office_dates": [
{
"start_date": "2026-04-02T12:00:00.000Z",
"end_date": "2026-04-03T12:00:00.000Z",
"created_by": "user@example.com"
}
],
"time_zone": "America/New_York",
"calendars": {
"outlook": "user@example.com"
},
"capacity": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Leads",
"current_capacity": 2,
"max_capacity": 10,
"assignment_type": "user"
}
],
"can_receive_notifications": true,
"notification_preferences": [
"billing",
"routing",
"system"
],
"archived": false
}{
"message": "<string>",
"error": true,
"field": "<string>"
}{
"message": "<string>",
"error": true,
"field": "<string>"
}{
"message": "<string>",
"error": true,
"field": "<string>"
}{
"message": "<string>",
"error": true,
"field": "<string>"
}Users
Get user
GET /users/ — retrieve a single account member
GET
/
users
/
{userId}
Get user by id
Endpoint
GET https://api.routera.io/users/{userId}
/users/{userId}Authentication: Bearer JWT
Path parameters
| Parameter | Required | Description |
|---|---|---|
userId | Yes | User ID (UUID) |
deleted_at filter on get).
Response
200 — User object directly (not wrapped indata)
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "user@example.com",
"full_name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"role": "Administrator",
"external_id": null,
"phone": null,
"office_status": true,
"working_hours": [
{
"days": "Mon - Fri",
"start_date": "09:00",
"end_date": "17:00"
},
{
"days": "saturday",
"start_date": "10:00",
"end_date": "14:00"
}
],
"out_office_dates": [
{
"start_date": "2026-04-02T12:00:00.000Z",
"end_date": "2026-04-03T12:00:00.000Z",
"created_by": "user@example.com"
}
],
"time_zone": "America/New_York",
"calendars": {
"outlook": "user@example.com"
},
"capacity": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Leads",
"current_capacity": 2,
"max_capacity": 10,
"assignment_type": "user"
}
],
"can_receive_notifications": true,
"notification_preferences": [
"billing",
"routing",
"system"
],
"archived": false
}
Archived state
| State | archived | archived_by |
|---|---|---|
| Active | false | omitted |
Archived (soft-deleted on member_account) | ISO 8601 timestamp | user id who archived |
Errors
| Status | When |
|---|---|
400 | Invalid or missing userId (not a UUID) |
401 | Missing or invalid account context in JWT |
404 | Member not found for this account |
500 | Internal server error |
Authorizations
Bearer JWT with valid account context.
Path Parameters
User ID (UUID)
Response
User
Account member (user + member_account). Role is the display name string. Archived members include archived timestamp and archived_by.
User ID (UUID)
Role display name (read-only)
Working hour ranges. Empty array means available 24/7. Times are interpreted in time_zone.
Hide child attributes
Hide child attributes
Day or range: monday…sunday, Mon - Fri / mon-fri, Sat - Sun / sat-sun, saturday, or sunday
Example:
"Mon - Fri"
Start time in HH:mm (member time zone)
Example:
"09:00"
End time in HH:mm (member time zone)
Example:
"17:00"
Example:
[
{
"days": "Mon - Fri",
"start_date": "09:00",
"end_date": "17:00"
},
{
"days": "saturday",
"start_date": "10:00",
"end_date": "14:00"
}
]
IANA time zone
Example:
"America/New_York"
false when active, or ISO timestamp when archived
Present when archived
Was this page helpful?
